# Entry

Entries are the goal of any content management system, let alone Urchin. Using the templates as a blueprint and rules, entries can be created with structured and organized data for your use-case. For our user profile example, entries are the records of the users with all of their twitter handles and bios neatly organized like a database record. With a simple API call, developers can retrieve whatever entries they need for their application.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://urchin.gitbook.io/overview/api-reference/entry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
